# Method: accounts.locations.reviews.list

- [HTTP request](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.reviews/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.reviews/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.reviews/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.reviews/list#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.reviews/list#body.response_body)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.reviews/list#body.ListReviewsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.reviews/list#body.aspect)

Returns the paginated list of reviews for the specified location. This operation is only valid if the specified location is verified.

### HTTP request

`GET https://mybusiness.googleapis.com/v4/{parent=accounts/*/locations/*}/reviews`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` The name of the location to fetch reviews for. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` How many reviews to fetch per page. The maximum `pageSize` is 50. |
| `pageToken` | `string` If specified, it fetches the next page of reviews. |
| `orderBy` | `string` Specifies the field to sort reviews by. If unspecified, the order of reviews returned will default to `updateTime desc`. Valid orders to sort by are `rating`, `rating desc` and `updateTime desc`. |

### Request body

The request body must be empty.

### Response body

Response message for Reviews.ListReviews.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "reviews": [ { object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations.reviews#Review`) } ], "averageRating": number, "totalReviewCount": integer, "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `reviews[]` | ``object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations.reviews#Review`)`` The reviews. |
| `averageRating` | `number` The average star rating of all reviews for this location on a scale of 1 to 5, where 5 is the highest rating. |
| `totalReviewCount` | `integer` The total number of reviews for this location. |
| `nextPageToken` | `string` If the number of reviews exceeded the requested page size, this field is populated with a token to fetch the next page of reviews on a subsequent call to reviews.list. If there are no more reviews, this field is not present in the response. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/plus.business.manage`
- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).